﻿SELECT s.DELIVERY_NO ,S.DOCK_CD DockCode, S.SUPPLIER_CD SupplierCode,D.ARRIVAL_PLAN_DT ArrTime, D.DEPARTURE_PLAN_DT DeptSuppTime,
R.ARRIVAL_PLAN_DT ArrPlan, R.DEPARTURE_PLAN_DT DeptPlan
FROM TB_R_DELIVERY_CTL_SUPPLIERDOCK S
INNER JOIN TB_R_DELIVERY_CTL_D D 
ON (D.DELIVERY_NO = S.DELIVERY_NO AND D.DOCK_CD = S.DOCK_CD)
INNER JOIN TB_R_DELIVERY_CTL_ROUTE R
ON (R.DELIVERY_NO = S.DELIVERY_NO AND R.SUPPLIER_CD = S.SUPPLIER_CD)
where S.DELIVERY_NO = @0